imagedashedline
imageellipse
GD and Image Functions
PHP Manual

# imagedestroy

Destroy an image

### Description

bool imagedestroy ( resource `$image` )

imagedestroy frees any memory associated with image `image`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Using imagedestroy example

`<?php
// create a 100 x 100 image
$im = imagecreatetruecolor(100, 100);
// alter or save the image
// frees image from memory
imagedestroy($im);
?>`